Bug 21455 - Bad event list generated when adding fake KeyRelease
Bad event list generated when adding fake KeyRelease
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/Input/Core
7.3 (2007.09)
Other All
: medium normal
Assigned To: Xorg Project Team
Xorg Project Team
: patch
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 00:38 UTC by Pierre Ossman
Modified: 2010-04-14 15:58 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.44 KB, patch)
2009-04-28 00:38 UTC, Pierre Ossman
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Ossman 2009-04-28 00:38:36 UTC
Created attachment 25218 [details] [review]
patch

From xorg-devel:

http://lists.x.org/archives/xorg-devel/2009-April/000772.html

"Another delightful bug when XKB is disabled. If you feed the core only
repeated KeyPress events, it's supposed to generate KeyRelease events
automatically. Unfortunately that code is broken and generates an
incorrect list of events.

Problems exists in 1.5 and 1.6."
Comment 1 Peter Hutterer 2009-04-30 17:00:49 UTC
Nominated for 1.5. and 1.6 branches.
Comment 2 Peter Hutterer 2010-04-14 15:58:57 UTC
commit a26fd1a6d61507b3e69a04d6f6c192a6ec363c5c on server-1.6-branch, released in 1.6.2.

Closing as fixed.